Bug 442640 - Review Request: epeg - Immensely fast JPEG thumbnailer
Review Request: epeg - Immensely fast JPEG thumbnailer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 442353
Blocks: 442808
  Show dependency treegraph
 
Reported: 2008-04-15 19:23 EDT by Pavel Shevchuk
Modified: 2008-05-05 13:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 13:55:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Shevchuk 2008-04-15 19:23:10 EDT
Spec URL: http://rpm.scwlab.com/epeg-goes-rawhide/epeg.spec
SRPM URL: http://rpm.scwlab.com/epeg-goes-rawhide/epeg-0.9.1.042-1.fc9.src.rpm
RPMs for i386 and x86_64 built in mock: http://rpm.scwlab.com/epeg-goes-rawhide/

Description:
Epeg is insanely fast at loading large JPEG images and scaling them down to
tiny thumbnails. It's speedup will be proportional to the size difference
between the source image and the output thumbnail size as a count of their
pixels.

It makes use of libjpeg features of being able to load an image by only
decoding the DCT coefficients needed to reconstruct an image of the size
desired. This gives a massive speedup. If you do not try and access the pixels
in a format other than YUV (or GRAY8 if the source is grascale) then it also
avoids colorspace conversions as well.


RPMLint spits out only W: no-documentation on -devel package because there's no documentation in upstream package. Epeg mostly helper library for higher-lever thumbnailing API - epsilon.
Package works as expected - makes thumbnails of jpegs faster than imagemagick ;)
Comment 1 Pavel Shevchuk 2008-05-03 20:01:40 EDT
* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-2
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

New spec: http://rpm.scwlab.com/epeg-goes-rawhide/epeg.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/epeg-0.9.1.042-2.x86_64/
epeg-0.9.1.042-2.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 2 Patrice Dumas 2008-05-05 05:39:33 EDT
In the pc file there is -ljpeg, so a dependency for the devel package
to jpeg-devel is missing. Otherwise looks good.
Comment 3 Pavel Shevchuk 2008-05-05 07:47:23 EDT
* Tue May 06 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-3
- Added missing dependencies for epeg-devel


New spec: http://rpm.scwlab.com/epeg-goes-rawhide/epeg.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/epeg-0.9.1.042-3.fc9.x86_64/
epeg-0.9.1.042-3.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 4 Patrice Dumas 2008-05-05 08:35:55 EDT
* rpmlint is almost silent
epeg-devel.i386: W: no-documentation
* follow guidelines
* free software, MIT-like license included
* match upstream
b6eada50c40f46810530fe85a67f558d  epeg-0.9.1.042.tar.bz2
* %files section right
* library well packaged

APPROVED
Comment 5 Patrice Dumas 2008-05-05 08:39:17 EDT
A pkgconfig dependency for devel is missing.
Comment 6 Pavel Shevchuk 2008-05-05 09:00:04 EDT
New Package CVS Request
=======================
Package Name: epeg
Short Description: Immensely fast JPEG thumbnailer
Owners: stalwart
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-05-05 11:48:24 EDT
cvs done.
Comment 8 Pavel Shevchuk 2008-05-05 13:54:48 EDT
Pushed to rawhide, thanks to everyone!

Note You need to log in before you can comment on or make changes to this bug.